Package org.apache.tapestry5.ioc.junit

## Enum RegistryShutdownType

- java.lang.Object
- - java.lang.Enum<RegistryShutdownType>
  - - org.apache.tapestry5.ioc.junit.RegistryShutdownType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RegistryShutdownType>`

      public enum RegistryShutdownType
      extends java.lang.Enum<RegistryShutdownType>

  Used in conjunction with the `TapestryIOCJUnit4ClassRunner` to determine the registry lifecycle

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER_CLASS` | Test registry will be shut down once per test class
    `AFTER_METHOD` | Test registry will be shut down after each test method

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RegistryShutdownType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RegistryShutdownType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFTER_CLASS

          public static final RegistryShutdownType AFTER_CLASS

      Test registry will be shut down once per test class

    - #### AFTER_METHOD

          public static final RegistryShutdownType AFTER_METHOD

      Test registry will be shut down after each test method

  - ### Method Detail

    - #### values

          public static RegistryShutdownType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegistryShutdownType c : RegistryShutdownType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegistryShutdownType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null